<xml> </xml>

btb-class |

# HashList(TKey,TValue) Methods

The methods of the HashList(TKey,TValue) class are listed below. For a complete list of HashList(TKey,TValue) class members, see the HashList(TKey,TValue) Members topic.

#### Public Instance Methods

Add | Overloaded. Adds an element with the provided key and value to the IDictionary`2.
Clear | Removes all items from the ICollection`1.
Contains | Determines whether the ICollection`1 contains a specific value.
ContainsKey | Determines whether the IDictionary`2 contains an element with the specified key.
CopyTo | Copies the elements of the ICollection`1 to an Array, starting at a particular Array index.
EqualsContent |
GetEnumerator | Returns an enumerator that iterates through a collection.
Remove | Overloaded. Removes the element with the specified key from the IDictionary`2.
TryGetValue | Tries to get value for the specified key.

#### See Also

HashList<TKey, TValue> Class | ComponentOwl.BetterThumbnailBrowser Namespace